package internal

import "github.com/rogpeppe/go-internal/txtar"

// Topic name for wasmcloud -> executor communication
const TopicName = "exec"

type ExecRequest struct {
	WASMCID string            `json:"wasmcid"`
	Name    string            `json:"name"`
	Data    []byte            `json:"data"`
	Policy  []byte            `json:"policy"`
	ABI     ABI               `json:"abi"`
	Env     map[string]string `json:"env"`
	UUID    string            `json:"uuid"`
}

type ExecResponse struct {
	WASMCID      string        `json:"wasmcid"`
	LogBundleCID string        `json:"log_bundle_cid"`
	Logs         txtar.Archive `json:"logs"`
	UUID         string        `json:"uuid"`
}
